/* Make Elementor content full width on single posts */
.single-post .ast-container {
    max-width: 100% !important;
    width: 100% !important;
    padding: 0 !important;
}

/* Remove Astra spacing around the content */
.single-post .ast-separate-container {
    padding: 0 !important;
    margin: 0 !important;
}

/* Optional: Remove sidebar if still present */
.single-post #primary {
    width: 100% !important;
}
	
.ast-separate-container {
    background: #f2f4f6 !important; 
}

.ast-separate-container #primary, .ast-separate-container #secondary {
    padding: 0 !important;
}

/* Post accordion FAQ */
body .wp-block-accordion .wp-block-accordion-item .wp-block-accordion-heading {
    margin: 0 !important;
}

:root :where(.is-layout-flow.wp-block-accordion) > * {
    margin-block-start: 0;
    margin-block-end: 0;
}

.wp-block-accordion-item .wp-block-accordion-heading__toggle {
    line-height: 78px;
    border-radius: 0;
    padding-left: 17px;
    padding-right: 25px;
}

.wp-block-accordion-item,
.wp-block-accordion-item .wp-block-accordion-heading__toggle {
    background: #F3F4F6;
}

.wp-block-accordion-item .wp-block-accordion-heading__toggle:hover,
.wp-block-accordion-item .wp-block-accordion-heading__toggle:focus {
    background: #F3F4F6; 
}

.wp-block-accordion-item:nth-child(2n),
.wp-block-accordion-item:nth-child(2n) .wp-block-accordion-heading__toggle {
    background: white;
}

.wp-block-accordion-heading__toggle-title {
    color: #1f2124;
    font-family: "Inter", Sans-serif;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: -0.16px;
}

.wp-block-accordion-panel {
    padding: 0 25px 16px 17px;
    margin-block-start: 0;
}

.wp-block-accordion-panel p {
    font-family: "Inter", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: -0.16px;
    color: #4D5055;
}

.wp-block-accordion-heading__toggle-icon {
    transform: rotate(0deg) !important;
    font-size: 0;
    color: transparent;
    width: 30px;
    height: 30px;
    position: relative;
}

.wp-block-accordion-heading__toggle-icon::before {
    line-height: 12px;
    width: 21px;
    height: 12px;
    content: "";
    display: inline-block;
    color: #1f2124;
    background: #1f2124;
    background-size: 100% 100%;
    mask-repeat: no-repeat;
    mask-position: center center;
    mask-size: 21px 12px;
    mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="21" height="12" viewBox="0 0 21 12" fill="none"><path d="M0.810059 0.749023H4.64756" stroke="currentColor" stroke-width="1.5002"></path><path d="M1.56006 -0.000976562V12.0006" stroke="currentColor" stroke-width="1.5002"></path><path d="M0.810059 11.2505H4.64756" stroke="currentColor" stroke-width="1.5002"></path><path d="M6.81104 6H14.011" stroke="currentColor" stroke-width="1.5002"></path><path d="M10.4053 2.39941V9.59941" stroke="currentColor" stroke-width="1.5002"></path><path d="M16.1621 0.749023H19.9996" stroke="currentColor" stroke-width="1.5002"></path><path d="M19.2627 -0.000976562V12.0006" stroke="currentColor" stroke-width="1.5002"></path><path d="M16.1621 11.2505H19.9996" stroke="currentColor" stroke-width="1.5002"></path></svg>');
}

.wp-block-accordion-item.is-open>.wp-block-accordion-heading .wp-block-accordion-heading__toggle-icon::before {
    mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="21" height="13" viewBox="0 0 21 13" fill="none"><path d="M0.810059 1.71094H4.64756" stroke="currentColor" stroke-width="1.5002"></path><path d="M1.56006 0.960938V12.9625" stroke="currentColor" stroke-width="1.5002"></path><path d="M0.810059 12.2129H4.64756" stroke="currentColor" stroke-width="1.5002"></path><path d="M6.81104 6.96191H14.011" stroke="currentColor" stroke-width="1.5002"></path><path d="M16.1621 1.71094H19.9996" stroke="currentColor" stroke-width="1.5002"></path><path d="M19.2627 0.960938V12.9625" stroke="currentColor" stroke-width="1.5002"></path><path d="M16.1621 12.2129H19.9996" stroke="currentColor" stroke-width="1.5002"></path></svg>');
}